Page MenuHomePhabricator

Handle duplicate insert error {stag} [5 pts]
Closed, ResolvedPublic

Description

Since Event Logging inserts in batches, duplicate events would cause the whole batch to fail. One simple solution is to catch the duplicate insert error and insert that batch sequentially.

The reason this is more urgent is Kafka has a much higher probability of event duplication.

Event Timeline

Milimetric raised the priority of this task from to High.
Milimetric updated the task description. (Show Details)
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 1:54 PM

Change 237688 had a related patch set uploaded (by Ottomata):
Set replace=True for EventLogging MySQL consumer

https://gerrit.wikimedia.org/r/237688

Milimetric moved this task from Next Up to In Code Review on the Analytics-Kanban board.
Milimetric set Security to None.
mforns renamed this task from Handle duplicate insert error {stag} to Handle duplicate insert error {stag} [5 pts].Sep 14 2015, 4:08 PM

Change 237688 merged by Ottomata:
Set replace=True for EventLogging MySQL consumer

https://gerrit.wikimedia.org/r/237688

kevinator closed this task as Resolved.Sep 21 2015, 3:35 PM
kevinator added a subscriber: kevinator.